Subject: bug#43381: 27.1.50; Maybe wrong cursor FG color in NS port

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 18 Sep 2020 15:07:05 +0200

Eli Zaretskii <[email-masked]> writes:

>> The vast majority of faces don't have a distant-foreground, I think?
>> And that's in relation to the region face, not the cursor?
>
> I thought to define it only for the cursor face.  And if that needs
> some special treatment on the C level, it shouldn't be hard to tweak
> that.

Ah, right...  but then that'd be used on all characters the cursor is
over, no matter what the background colour of the cursor is?  Isn't that
the same information loss you were worried about, only with a different
colour?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no